Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.filter
Class CompressingFilter

    java.lang.Object
      com.atlassian.bamboo.filter.CompressingFilter

    public class CompressingFilter

extends Object

Wraps the `com.planetj.servlet.filter.compression.CompressingFilter` so that it can be switched on and off from the Bamboo UI.

Constructor Summary
`CompressingFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain)`
`FilterConfig` | `getFilterConfig()` Deprecated. Not needed in latest version of Servlet 2.3 API. NOTE: Filter doesn't work with Orion 1.5.2 without this method
`void` | `init(FilterConfig filterConfig)`
`void` | `setFilterConfig(FilterConfig filterConfig)` Deprecated. Not needed in latest version of Servlet 2.3 API - replaced by init(). NOTE: Filter doesn't work with Orion 1.5.2 without this method
`void` | `setWrappedFilter(Filter filter)` Used in testing to provide a mock wrapped filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressingFilter

    public CompressingFilter()

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Throws:
    `ServletException`

### getFilterConfig

    public FilterConfig getFilterConfig()

  Deprecated. Not needed in latest version of Servlet 2.3 API. NOTE: Filter doesn't work with Orion 1.5.2 without this method

### setFilterConfig

    public void setFilterConfig(FilterConfig filterConfig)

  Deprecated. Not needed in latest version of Servlet 2.3 API - replaced by init(). NOTE: Filter doesn't work with Orion 1.5.2 without this method

### doFilter

    public void doFilter(ServletRequest servletRequest,
                         ServletResponse servletResponse,
                         FilterChain filterChain)
                  throws IOException,
                         ServletException

  Throws:
    `IOException`
    `ServletException`

### destroy

    public void destroy()

### setWrappedFilter

    public void setWrappedFilter(Filter filter)

  Used in testing to provide a mock wrapped filter

  Parameters:
    `filter` - The wrapped filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.